Space fields

Create a Space folder

Requires files:write.

POST
/v1/space/folders
curl -X POST "https://api.orchestor.io/v1/space/folders" \  -H "Authorization: Bearer $API_KEY" \  -H "X-Workspace-ID: wks_abc123" \  -H "Content-Type: application/json" \  -d '{  "color": null,  "parent_id": null,  "position": 0,  "project_id": null,  "title": "string"}'
{  "data": {    "archived_at": "2026-01-01T00:00:00Z",    "color": "<string>",    "created_at": "2026-01-01T00:00:00Z",    "id": "<string>",    "parent_id": "<string>",    "position": 0,    "project_id": "<string>",    "title": "<string>",    "updated_at": "2026-01-01T00:00:00Z",    "workspace_id": "<string>"  }}

Get your Orchestor API key

Create an API key in your workspace settings.

Authorizations

Satisfy one of these options:

  • Session cookie
  • API key

Authentication details

cookie
wos-session

Browser session established by signing in to the web app. The server checks your workspace membership and permissions. Supply X-Workspace-ID for workspace-scoped operations. For server-to-server requests, use an API key when the operation supports it.

Headers

X-Workspace-IDstringheader

Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.

Example"wks_abc123"

Bodyapplication/jsonrequired

Additional properties
Not allowed
colorstring | nullbodydefault:null
String length
≤ 128
parent_idstring | nullbodydefault:null
String length
≥ 1
positionintegerbodydefault:0
project_idstring | nullbodydefault:null
String length
≥ 1
titlestringbodyrequired
String length
≥ 1, ≤ 256

Response

application/json

Space resource

dataSpaceFolderrequired
data.archived_atstring | nullrequiredformat:date-time
data.colorstring | nullrequired
data.created_atstringrequiredformat:date-time
data.idstringrequired
data.parent_idstring | nullrequired
data.positionintegerrequired
data.project_idstring | nullrequired
data.titlestringrequired
data.updated_atstringrequiredformat:date-time
data.workspace_idstringrequired